This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 201303 - up2date %post scriplet fails when restorecon isn't found
up2date %post scriplet fails when restorecon isn't found
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 04:24 EDT by Matthias Saou
Modified: 2012-06-20 12:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-08-04 04:24:12 EDT
Hi,

I just saw this after updating a RHEL4 server :

/var/tmp/rpm-tmp.92623: line 11: restorecon: command not found
error: %post(up2date-4.4.69-25.i386) scriptlet failed, exit status 127

It has selinux compleetely disabled, and was upgraded from RHEL3, which probably
explains why not all RHEL4 base packages are installed. Still, either a
dependency should be added to the up2date packages that want to run restorecon,
or the failure should be silent and ignored ("&>/dev/null || :" for instance).
Comment 1 Red Hat Bugzilla 2007-04-11 21:01:51 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Jiri Pallich 2012-06-20 12:15:53 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.